Skip to Content
veriom

Open public review

POST
/v1/public/report-reviews/open

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Header Parameters

authorization?string|null

Response Body

Successful Response

application/json
  1. response
allow_comments*Allow Comments
comments*array<>
content_sha256*Content Sha256
expires_at*Expires At
Formatdate-time
snapshot*
Example Request
curl -X POST 'https://api.veriom.ai/v1/public/report-reviews/open'
Example Response
{  "allow_comments": true,  "comments": [    {      "body": "string",      "created_at": "2019-08-24T14:15:22Z",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "reviewer_name": "string"    }  ],  "content_sha256": "string",  "expires_at": "2019-08-24T14:15:22Z",  "snapshot": {    "approved_at": "2019-08-24T14:15:22Z",    "branch_ref": "string",    "commit_sha": "string",    "generated_at": "2019-08-24T14:15:22Z",    "limitations": [      "string"    ],    "report_revision": 0,    "repository": "string",    "sections": [      {        "items": [          {            "evidence": [              "string"            ],            "id": "string",            "locations": [              "string"            ],            "severity": "string",            "text": "string",            "title": "string"          }        ],        "kind": "executive_summary",        "title": "string"      }    ],    "title": "string"  }}